%define name            dresden-ocl
%define version         20020105
%define release         3jpp
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section		free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        A compiler that generates code out of OCL expressions
License:        LGPL
Source0:        %{name}-%{version}-cvs.tar.bz2
Url:            http://dresden-ocl.sourceforge.net
Requires:       xerces-j1
BuildRequires:  ant
BuildRequires:  junit
BuildRequires:  xerces-j1
BuildRequires:  sablecc
Group:          Development/Java
Buildarch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
Vendor:         JPackage project

%description
This is a compiler that generates code out of OCL expressions. The
generated code evaluates the OCL constraint for a model instance, i.e. a
program or data base, at runtime. Constraints formulated during analysis
and design can then easily be checked in the implementation.
While the Java code generator that is being implemented makes certain
restrictions to the OCL constructs that can be used, the other compiler
modules are implemented as close to the OCL specification of UML 1.3 as
possible.
If you are interested in more information or want to be notified about
changes on this page, send an email to ocl@mail-st.inf.tu-dresden.de.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%package argo
Summary:        Subset of %{name} required for ArgoUML
Group:          Development/Java

%description argo
Subset of %{name} required for ArgoUML.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c
# remove binary files
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=\
%{javadir}/sablecc.jar\
:%{javadir}/xerces-j1.jar\
:%{javadir}/junit.jar
USE_JIKES=false ant jar
USE_JIKES=false ant docs

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/ocl-argo.jar $RPM_BUILD_ROOT%{javadir}/%{name}-argo-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
install -d -m 755 $RPM_BUILD_ROOT%{javadir}/%{name}
install -m 644 build/%{name}-lib.jar $RPM_BUILD_ROOT%{javadir}/%{name}/lib-%{version}.jar
install -m 644 build/%{name}-sql.jar $RPM_BUILD_ROOT%{javadir}/%{name}/sql-%{version}.jar
install -m 644 build/%{name}-demo.jar $RPM_BUILD_ROOT%{javadir}/%{name}/demo-%{version}.jar
install -m 644 build/%{name}-injector.jar $RPM_BUILD_ROOT%{javadir}/%{name}/injector-%{version}.jar
install -m 644 build/royloy.jar $RPM_BUILD_ROOT%{javadir}/%{name}/royloy-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING CREDITS README
%{javadir}/%{name}

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files argo
%defattr(-,root,root)
%{javadir}/%{name}-argo.jar
%{javadir}/%{name}-argo-%{version}.jar

%changelog
* Wed Mar 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20020105-3jpp
- dropped patch

* Wed Jan 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20020105-2jpp 
- javadoc in %{javadocdir} again 
- versioned jars rather than %{name} subdir
- macro section

* Tue Jan 8 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20020105-1jpp
- javadoc back to /usr/share/doc
- no dependencies for javadoc packages
- used cvs snapshot
- buildrequires sablecc
- all jars but dresden-ocl-argo in dresden-ocl subdir
- regenerated patch

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20001016-5jpp
- javadoc into javadoc package

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20001016-4jpp
- more macros
- force modern compiler as jikes doesn't work

* Fri Sep 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20001016-3jpp
- patched build file for missing classes needed by ArgoUML

* Tue Sep 25 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20001016-2jpp
- first unified release
- splitted argo specific package
- added missing jars
- explicitly requires xerces-j1
- solved empty manual package
- s/jPackage/JPackage

* Sat Jun 23 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20001016-1mdk
- first Mandrake release
